Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network100.64.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
100.64.0.0
Broadcast address
100.127.255.255
First usable
100.64.0.1
Last usable
100.127.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Shared address space (CGNAT) 100.64.0.0/10
Used by providers behind carrier-grade NAT (RFC 6598)
Old class
A (default /8)
As numbers
Hex 64400000 · Integer 1681915904 to 1686110207
Reverse DNS zones
64.100.in-addr.arpa
65.100.in-addr.arpa
66.100.in-addr.arpa
67.100.in-addr.arpa
68.100.in-addr.arpa
69.100.in-addr.arpa
70.100.in-addr.arpa
71.100.in-addr.arpa
72.100.in-addr.arpa
73.100.in-addr.arpa
74.100.in-addr.arpa
75.100.in-addr.arpa
76.100.in-addr.arpa
77.100.in-addr.arpa
78.100.in-addr.arpa
79.100.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100100.01000000.00000000.00000000100.64.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network01100100.01000000.00000000.00000000100.64.0.0
Broadcast01100100.01111111.11111111.11111111100.127.255.255
Split into smaller subnets/17

100.64.0.0/10 makes 128 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1100.64.0.0/17100.64.0.1 to 100.64.127.254100.64.127.25532,766
2100.64.128.0/17100.64.128.1 to 100.64.255.254100.64.255.25532,766
3100.65.0.0/17100.65.0.1 to 100.65.127.254100.65.127.25532,766
4100.65.128.0/17100.65.128.1 to 100.65.255.254100.65.255.25532,766
5100.66.0.0/17100.66.0.1 to 100.66.127.254100.66.127.25532,766
6100.66.128.0/17100.66.128.1 to 100.66.255.254100.66.255.25532,766
7100.67.0.0/17100.67.0.1 to 100.67.127.254100.67.127.25532,766
8100.67.128.0/17100.67.128.1 to 100.67.255.254100.67.255.25532,766
9100.68.0.0/17100.68.0.1 to 100.68.127.254100.68.127.25532,766
10100.68.128.0/17100.68.128.1 to 100.68.255.254100.68.255.25532,766
11100.69.0.0/17100.69.0.1 to 100.69.127.254100.69.127.25532,766
12100.69.128.0/17100.69.128.1 to 100.69.255.254100.69.255.25532,766
13100.70.0.0/17100.70.0.1 to 100.70.127.254100.70.127.25532,766
14100.70.128.0/17100.70.128.1 to 100.70.255.254100.70.255.25532,766
15100.71.0.0/17100.71.0.1 to 100.71.127.254100.71.127.25532,766
16100.71.128.0/17100.71.128.1 to 100.71.255.254100.71.255.25532,766
17100.72.0.0/17100.72.0.1 to 100.72.127.254100.72.127.25532,766
18100.72.128.0/17100.72.128.1 to 100.72.255.254100.72.255.25532,766
19100.73.0.0/17100.73.0.1 to 100.73.127.254100.73.127.25532,766
20100.73.128.0/17100.73.128.1 to 100.73.255.254100.73.255.25532,766
21100.74.0.0/17100.74.0.1 to 100.74.127.254100.74.127.25532,766
22100.74.128.0/17100.74.128.1 to 100.74.255.254100.74.255.25532,766
23100.75.0.0/17100.75.0.1 to 100.75.127.254100.75.127.25532,766
24100.75.128.0/17100.75.128.1 to 100.75.255.254100.75.255.25532,766
25100.76.0.0/17100.76.0.1 to 100.76.127.254100.76.127.25532,766
26100.76.128.0/17100.76.128.1 to 100.76.255.254100.76.255.25532,766
27100.77.0.0/17100.77.0.1 to 100.77.127.254100.77.127.25532,766
28100.77.128.0/17100.77.128.1 to 100.77.255.254100.77.255.25532,766
29100.78.0.0/17100.78.0.1 to 100.78.127.254100.78.127.25532,766
30100.78.128.0/17100.78.128.1 to 100.78.255.254100.78.255.25532,766
31100.79.0.0/17100.79.0.1 to 100.79.127.254100.79.127.25532,766
32100.79.128.0/17100.79.128.1 to 100.79.255.254100.79.255.25532,766
33100.80.0.0/17100.80.0.1 to 100.80.127.254100.80.127.25532,766
34100.80.128.0/17100.80.128.1 to 100.80.255.254100.80.255.25532,766
35100.81.0.0/17100.81.0.1 to 100.81.127.254100.81.127.25532,766
36100.81.128.0/17100.81.128.1 to 100.81.255.254100.81.255.25532,766
37100.82.0.0/17100.82.0.1 to 100.82.127.254100.82.127.25532,766
38100.82.128.0/17100.82.128.1 to 100.82.255.254100.82.255.25532,766
39100.83.0.0/17100.83.0.1 to 100.83.127.254100.83.127.25532,766
40100.83.128.0/17100.83.128.1 to 100.83.255.254100.83.255.25532,766
41100.84.0.0/17100.84.0.1 to 100.84.127.254100.84.127.25532,766
42100.84.128.0/17100.84.128.1 to 100.84.255.254100.84.255.25532,766
43100.85.0.0/17100.85.0.1 to 100.85.127.254100.85.127.25532,766
44100.85.128.0/17100.85.128.1 to 100.85.255.254100.85.255.25532,766
45100.86.0.0/17100.86.0.1 to 100.86.127.254100.86.127.25532,766
46100.86.128.0/17100.86.128.1 to 100.86.255.254100.86.255.25532,766
47100.87.0.0/17100.87.0.1 to 100.87.127.254100.87.127.25532,766
48100.87.128.0/17100.87.128.1 to 100.87.255.254100.87.255.25532,766
49100.88.0.0/17100.88.0.1 to 100.88.127.254100.88.127.25532,766
50100.88.128.0/17100.88.128.1 to 100.88.255.254100.88.255.25532,766
51100.89.0.0/17100.89.0.1 to 100.89.127.254100.89.127.25532,766
52100.89.128.0/17100.89.128.1 to 100.89.255.254100.89.255.25532,766
53100.90.0.0/17100.90.0.1 to 100.90.127.254100.90.127.25532,766
54100.90.128.0/17100.90.128.1 to 100.90.255.254100.90.255.25532,766
55100.91.0.0/17100.91.0.1 to 100.91.127.254100.91.127.25532,766
56100.91.128.0/17100.91.128.1 to 100.91.255.254100.91.255.25532,766
57100.92.0.0/17100.92.0.1 to 100.92.127.254100.92.127.25532,766
58100.92.128.0/17100.92.128.1 to 100.92.255.254100.92.255.25532,766
59100.93.0.0/17100.93.0.1 to 100.93.127.254100.93.127.25532,766
60100.93.128.0/17100.93.128.1 to 100.93.255.254100.93.255.25532,766
61100.94.0.0/17100.94.0.1 to 100.94.127.254100.94.127.25532,766
62100.94.128.0/17100.94.128.1 to 100.94.255.254100.94.255.25532,766
63100.95.0.0/17100.95.0.1 to 100.95.127.254100.95.127.25532,766
64100.95.128.0/17100.95.128.1 to 100.95.255.254100.95.255.25532,766
65100.96.0.0/17100.96.0.1 to 100.96.127.254100.96.127.25532,766
66100.96.128.0/17100.96.128.1 to 100.96.255.254100.96.255.25532,766
67100.97.0.0/17100.97.0.1 to 100.97.127.254100.97.127.25532,766
68100.97.128.0/17100.97.128.1 to 100.97.255.254100.97.255.25532,766
69100.98.0.0/17100.98.0.1 to 100.98.127.254100.98.127.25532,766
70100.98.128.0/17100.98.128.1 to 100.98.255.254100.98.255.25532,766
71100.99.0.0/17100.99.0.1 to 100.99.127.254100.99.127.25532,766
72100.99.128.0/17100.99.128.1 to 100.99.255.254100.99.255.25532,766
73100.100.0.0/17100.100.0.1 to 100.100.127.254100.100.127.25532,766
74100.100.128.0/17100.100.128.1 to 100.100.255.254100.100.255.25532,766
75100.101.0.0/17100.101.0.1 to 100.101.127.254100.101.127.25532,766
76100.101.128.0/17100.101.128.1 to 100.101.255.254100.101.255.25532,766
77100.102.0.0/17100.102.0.1 to 100.102.127.254100.102.127.25532,766
78100.102.128.0/17100.102.128.1 to 100.102.255.254100.102.255.25532,766
79100.103.0.0/17100.103.0.1 to 100.103.127.254100.103.127.25532,766
80100.103.128.0/17100.103.128.1 to 100.103.255.254100.103.255.25532,766
81100.104.0.0/17100.104.0.1 to 100.104.127.254100.104.127.25532,766
82100.104.128.0/17100.104.128.1 to 100.104.255.254100.104.255.25532,766
83100.105.0.0/17100.105.0.1 to 100.105.127.254100.105.127.25532,766
84100.105.128.0/17100.105.128.1 to 100.105.255.254100.105.255.25532,766
85100.106.0.0/17100.106.0.1 to 100.106.127.254100.106.127.25532,766
86100.106.128.0/17100.106.128.1 to 100.106.255.254100.106.255.25532,766
87100.107.0.0/17100.107.0.1 to 100.107.127.254100.107.127.25532,766
88100.107.128.0/17100.107.128.1 to 100.107.255.254100.107.255.25532,766
89100.108.0.0/17100.108.0.1 to 100.108.127.254100.108.127.25532,766
90100.108.128.0/17100.108.128.1 to 100.108.255.254100.108.255.25532,766
91100.109.0.0/17100.109.0.1 to 100.109.127.254100.109.127.25532,766
92100.109.128.0/17100.109.128.1 to 100.109.255.254100.109.255.25532,766
93100.110.0.0/17100.110.0.1 to 100.110.127.254100.110.127.25532,766
94100.110.128.0/17100.110.128.1 to 100.110.255.254100.110.255.25532,766
95100.111.0.0/17100.111.0.1 to 100.111.127.254100.111.127.25532,766
96100.111.128.0/17100.111.128.1 to 100.111.255.254100.111.255.25532,766
97100.112.0.0/17100.112.0.1 to 100.112.127.254100.112.127.25532,766
98100.112.128.0/17100.112.128.1 to 100.112.255.254100.112.255.25532,766
99100.113.0.0/17100.113.0.1 to 100.113.127.254100.113.127.25532,766
100100.113.128.0/17100.113.128.1 to 100.113.255.254100.113.255.25532,766
101100.114.0.0/17100.114.0.1 to 100.114.127.254100.114.127.25532,766
102100.114.128.0/17100.114.128.1 to 100.114.255.254100.114.255.25532,766
103100.115.0.0/17100.115.0.1 to 100.115.127.254100.115.127.25532,766
104100.115.128.0/17100.115.128.1 to 100.115.255.254100.115.255.25532,766
105100.116.0.0/17100.116.0.1 to 100.116.127.254100.116.127.25532,766
106100.116.128.0/17100.116.128.1 to 100.116.255.254100.116.255.25532,766
107100.117.0.0/17100.117.0.1 to 100.117.127.254100.117.127.25532,766
108100.117.128.0/17100.117.128.1 to 100.117.255.254100.117.255.25532,766
109100.118.0.0/17100.118.0.1 to 100.118.127.254100.118.127.25532,766
110100.118.128.0/17100.118.128.1 to 100.118.255.254100.118.255.25532,766
111100.119.0.0/17100.119.0.1 to 100.119.127.254100.119.127.25532,766
112100.119.128.0/17100.119.128.1 to 100.119.255.254100.119.255.25532,766
113100.120.0.0/17100.120.0.1 to 100.120.127.254100.120.127.25532,766
114100.120.128.0/17100.120.128.1 to 100.120.255.254100.120.255.25532,766
115100.121.0.0/17100.121.0.1 to 100.121.127.254100.121.127.25532,766
116100.121.128.0/17100.121.128.1 to 100.121.255.254100.121.255.25532,766
117100.122.0.0/17100.122.0.1 to 100.122.127.254100.122.127.25532,766
118100.122.128.0/17100.122.128.1 to 100.122.255.254100.122.255.25532,766
119100.123.0.0/17100.123.0.1 to 100.123.127.254100.123.127.25532,766
120100.123.128.0/17100.123.128.1 to 100.123.255.254100.123.255.25532,766
121100.124.0.0/17100.124.0.1 to 100.124.127.254100.124.127.25532,766
122100.124.128.0/17100.124.128.1 to 100.124.255.254100.124.255.25532,766
123100.125.0.0/17100.125.0.1 to 100.125.127.254100.125.127.25532,766
124100.125.128.0/17100.125.128.1 to 100.125.255.254100.125.255.25532,766
125100.126.0.0/17100.126.0.1 to 100.126.127.254100.126.127.25532,766
126100.126.128.0/17100.126.128.1 to 100.126.255.254100.126.255.25532,766
127100.127.0.0/17100.127.0.1 to 100.127.127.254100.127.127.25532,766
128100.127.128.0/17100.127.128.1 to 100.127.255.254100.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses